Subject: RFC 4640 errata and issues

From: Alfred Hönes <[email-masked]>
Date: Wed, 1 Nov 2006 14:32:38 +0100 (MEZ)

Hello,
reading the recently published RFC 4640 (MIP4 Bootstrapping)
authored by you, I found a couple of issues and textual flaws
I'd like to bring to your attention.

(1)  typo/grammar

On page 3 of RFC 4640, the seconf paragraph of Section 1.2 says:

   Typically, bootstrapping happens when a mobile node does not have all
   the information it needs to set up the Mobile IPv6 service.  This
   includes, but is not limited to, situations in which the mobile node
   does not having any information when it boots up for the first time
   (out of the box), or does not retain any information during reboots.

It should say:

   Typically, bootstrapping happens when a mobile node does not have all
   the information it needs to set up the Mobile IPv6 service.  This
   includes, but is not limited to, situations in which the mobile node
|  does not have any information when it boots up for the first time
   (out of the box), or does not retain any information during reboots.

(2)  missing line break

Near the end of Section 1.3, on page 5, there should be an additional
blank line above the term "Home Mobility Service Provider".

(3)  typo

On page 6, the last sub-bullet of the first bulleted list in Section 3
says:

      *  IPsec Security Association (SA) between MN and HA, Intenet Key
         Exchange Protocol (IKE) pre-shared secret between MN and HA

It should say:
                                                                v
|     *  IPsec Security Association (SA) between MN and HA, Internet Key
         Exchange Protocol (IKE) pre-shared secret between MN and HA

(4)  grammar (singluar/plural mismatch)

The first sentence of Section 5.1.3, on page 9, says:
                                                      vv
|  The home agent discovery protocol does not support an "opportunistic"
|  or local discovery mechanisms in an ASP's local access network.  [..]
                               ^
It either should say:

   The home agent discovery protocol does not support an "opportunistic"
|  or local discovery mechanism in an ASP's local access network.  [..]

or it should say:

|  The home agent discovery protocol does not support "opportunistic" or
   local discovery mechanisms in an ASP's local access network.  [..]

Please decide what was intended.

(5)  missing articles

The last paragraph of Section 5.3.1, on page 11, says:

   Bootstrapping does not explicitly try to solve this problem of home
   network renumbering when MN is in dormant mode.  If the MN can
   configure itself after it 'comes back on' by reinitiating the
   bootstrapping process, then network renumbering problem is fixed as a
   side effect.

It should better say:

   Bootstrapping does not explicitly try to solve this problem of home
|  network renumbering when the MN is in dormant mode.  If the MN can
   configure itself after it 'comes back on' by reinitiating the
|  bootstrapping process, then the network renumbering problem is fixed
   as a side effect.

(6)  missing article

The second paragraph of Section 7, on page 13, says:

   For each scenario, the underlying assumptions are described.  The
   basic assumption is that there is a trust relationship between mobile
   user and the MSA.  Typically, [...]

It should better say:

   For each scenario, the underlying assumptions are described.  The
|  basic assumption is that there is a trust relationship between the
   mobile user and the MSA.  Typically, [...]

(7)  missing article

The second paragraph of Section 7.2, on page 14, says:

   Figure 1 describes an AAA design example for integrated ASP scenario.

It should better say:

   Figure 1 describes an AAA design example for the integrated ASP
   scenario.

(8)  flawed artwork

Figure 2, on page 15,

                +--------------+   +--------+
                |              |   |Serving |
                | ASP          |   | MSP    |
   +----+    +-----+           |   | +----+ |
   | MN |--- | NAS |           |   | | HA | |  +-------------------+
   +----+    +-----+           |===| +----+ |  | MSA               |
                | \            |   |    \   || (e.g., corporate NW)|
                |  \ +------+  |   |     \     | +-------+         |
                |   -|AAA-NA|  |   |      -------|AAA-MIP|         |
                |    +------+  |   |        |  | +-------+         |
                +------------  +   +--------+  +-------------------+

should perhaps be corrected/improved to:

                +--------------+   +--------+
                |              |   |Serving |
                | ASP          |   | MSP    |
   +----+    +-----+           |   | +----+ |
   | MN |--- | NAS |           |   | | HA | |  +-------------------+
   +----+    +-----+           |===| +----+ |  | MSA (e.g.,        |
                | \            |   |    \   |  |      corporate NW)|
                |  \ +------+  |   |     \  |  | +-------+         |
                |   -|AAA-NA|  |   |      -------|AAA-MIP|         |
                |    +------+  |   |        |  | +-------+         |
                +------------  +   +--------+  +-------------------+

[ Note: I intentionally have refrained from horizontally extending
  the box on the rigth side of the figure, which would have been
  possible while still conforming to RFC formatting rules. ]

(9)  word omissions

Within the large first paragraph of Section 9.1, at the bottom of
page 17, there are two word omissions:

In the 2nd line of the paragraph, replace

	  ... between the home agent and mobile node
by:
          ... between the home agent and the mobile node

and in the 5th line from the bottom of the page, insert "be", changing

                                   [...].  The best way to minimize the
   probability of such a compromise is to have the cryptographic
   material only known or calculable by the two end nodes that share the
   SA -- in this case, the home agent and mobile node.  [...]

to:
                                   [...].  The best way to minimize the
   probability of such a compromise is to have the cryptographic
|  material only be known or calculable by the two end nodes that share
   the SA -- in this case, the home agent and mobile node.  [...]

(10)  strange accident with Ref. ??

In Section 12, near the bottom of page 20, a strange accident must
have hit the Ref. tagged [RFC3776] :
This indeed should be a citation of the Mobile IP related RFC 3776,
but it is a citiation of the unrelated RFC 3777 !!!
Thus,
replace this entry by the correct bibliographic entry for RFC 3776 !

Please comment.

Preferrably, to address these issues, you should prepare an
Author's Errata Note for RFC 4640, making freely use of the
material presented above, and submit it to the RFC Editor
for publication on the RFC Errata web pages.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+